﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing
Imports System.IO
Imports System.Diagnostics

Public Module Program

	Private Iterator Function CreateForms() As IEnumerable(Of Form)
		Yield New frmDrawingPerform
	End Function

	<STAThread>
	Public Sub Main(args As String())

		Application.EnableVisualStyles()
		Application.SetCompatibleTextRenderingDefault(False)
		With CreateForms.GetEnumerator
			.MoveNext()
			Dim frm = .Current
			While .MoveNext
				.Current.Show()
			End While
			.Dispose()
			Application.Run(frm)
		End With
		My.Settings.Save()
	End Sub

End Module